-- name: [CS] Meggy Spletzer
-- description: The Splatfest Champion has arrived! This Character belongs to SMG4 and GLitch Productions \n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_MEGGY = smlua_model_util_get_id("meggy_geo")

local TEX_MEGGY_ICON = get_texture_info("MeggyHead")

local TEXT_MOD_NAME = "[CS] Meggy Spletzer"

local VOICETABLE_MEGGY = {
    [CHAR_SOUND_ATTACKED] = 'Takes_Damage.ogg',
    [CHAR_SOUND_DOH] = 'Doh.ogg',
    [CHAR_SOUND_DROWNING] = 'Drowning.ogg',
    [CHAR_SOUND_DYING] = 'Lose_a_Life.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'Wa.ogg',
    [CHAR_SOUND_HAHA] = 'Laugh.ogg',
    [CHAR_SOUND_HAHA_2] = 'Laugh.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'Woomy.ogg',
    [CHAR_SOUND_HOOHOO] = 'Hoo-hoo.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'Ouch.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'Lets_go.ogg',
    [CHAR_SOUND_ON_FIRE] = 'Burning.ogg',
    [CHAR_SOUND_OOOF] = 'Oof.ogg',
    [CHAR_SOUND_OOOF2] = 'Oof.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'Hoo.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'Wa.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'Punch_1.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'So_Long_Gay_Bowser.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'Boing.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'Falling.ogg',
    [CHAR_SOUND_WAH2] = 'Punch_2.ogg',
    [CHAR_SOUND_WHOA] = 'Woah.ogg',
    [CHAR_SOUND_YAHOO] = 'ahoo.ogg',
    [CHAR_SOUND_YAWNING] = 'Yawn.ogg',
    [CHAR_SOUND_EEUH] = 'Cliff.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'Yippee.ogg', 'Wa-ha.ogg', 'Yahoo.ogg',
    [CHAR_SOUND_PANTING] = 'Panting.ogg',
    [CHAR_SOUND_COUGHING1] = 'Cough.ogg',
    [CHAR_SOUND_IMA_TIRED] = 'Im_tired.ogg',
    [CHAR_SOUND_HELLO] = 'Hello.ogg',
    [CHAR_SOUND_SNORING1] = 'Snore_In.ogg',
    [CHAR_SOUND_SNORING2] = 'Snore_Out.ogg',
    [CHAR_SOUND_SNORING3] = 'Sleep_Talking.ogg',
    [CHAR_SOUND_UH] = 'Ungh.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'Grab.ogg'
}

local PALETTE_MEGGY = {
    [PANTS]  = "232327",
    [SHIRT]  = "ffffff",
    [GLOVES] = "ffffff",
    [SHOES]  = "3F2000",
    [HAIR]   = "DB7900",
    [SKIN]   = "EAB371",
    [CAP]    = "C52B3A",
}

if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Meggy Spletzer", {"The Splatfest Champion has arrived!", "This Character belongs to", "SMG4 and GLitch Productions"}, "VioletArts", {r = 0xDB, g = 0x79, b = 0x00}, E_MODEL_MEGGY, CT_MARIO, TEX_MEGGY_ICON)
    
    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_MEGGY, VOICETABLE_MEGGY)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MEGGY then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MEGGY then return _G.charSelect.voice.snore(m) end
    end)

    if _G.charSelect.character_add_palette_preset ~= nil then -- Combatibility with v1.7 since v1.8 isn't out yet
        _G.charSelect.character_add_palette_preset(E_MODEL_MEGGY, PALETTE_MEGGY)
    end
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end